Redmine - Defect #16989

Inline images in email does not appear when thumbnail macro is used.
2014-05-27 11:17 - Bahri Yardim

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version: 252

Resolution: Fixed Affected version:

Description

Redmine v2.5.1
When using
{{thumbnail (filename.png) }}

in a comment, the email sent to notify related users does not show the image. The <img> source starts with /attachments.
This is because relative url is used in thumbnail macro when processing the text.

To fix this, we should use the url_for argument :only_path => false, so that the generated urls are absolute.

The fix is in the patch and we are using it confidently in our system.

Related issues:
Related to Redmine - Feature #2770: Display of inline attached images in emai... Reopened 2009-02-18

Associated revisions

Revision 13218 - 2014-07-05 12:13 - Jean-Philippe Lang

Include host in macro generated thumbnails urls (#16989).

Revision 13224 - 2014-07-06 12:31 - Jean-Philippe Lang
Merged r13218 (#16989).

History

#1 - 2014-06-09 11:05 - Go MAEDA

Confirmed the problem with Redmine 2.5.1 and this patch addresses the problem.

#2 - 2014-06-17 17:23 - Toshi MARUYAMA

- Target version set to 2.5.2

#3 - 2014-06-19 03:39 - Go MAEDA
Related to #2770.

The patch attached on this issue cannot display images on non-public projects.

#4 - 2014-06-24 13:30 - Toshi MARUYAMA

- Tracker changed from Patch to Defect

#5 - 2014-06-24 13:32 - Toshi MARUYAMA

- Related to Feature #2770: Display of inline attached images in email notification added

#6 - 2014-07-05 12:13 - Jean-Philippe Lang
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
https://www.redmine.org/issues/2770

Fixed in r13218, urls now include host name.

#7 - 2014-07-06 12:31 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

Fix thubmnail macro images to show inline in emails.macros.rb.patch 1.16 KB 2014-05-27 Bahri Yardim

2025-08-23 22


https://www.redmine.org/projects/redmine/repository/svn/revisions/13218
http://www.tcpdf.org

